[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Fixed - RE: sarge on sparc4 | kernel 2.6.12-1-sparc32 | libapt-inst-libc6.3-5.so.1.0 problem



This was due to a fs error on /dev/sda7 it would seem.


As fsck didn’t seem to improve anything, I rebooted and ran e2fsck –c /dev/sda7


No I have the box up-to-date again and see no errors when running apt-get






-----Original Message-----
From: Steve [mailto:steve@lewis.it]
11 September 2005 14:12
To: debian-dpkg@lists.debian.org
Subject: sarge on sparc4 | kernel 2.6.12-1-sparc32 | libapt-inst-libc6.3-5.so.1.0 problem


Hi All,


I am having a problem doing an apt-get –u upgrade, I have the following error: -


apt-extracttemplates: error while loading shared libraries: libapt-inst-libc6.3-5.so.1.0: cannot open shared object file: No such file or directory

dpkg: failed in buffer_read(fd): copy info file `/var/lib/dpkg/available': Input/output error

E: Sub-process /usr/bin/dpkg returned an error code (2)


I carried out an fsck on /usr and there were some errors which were fixed, it made no difference to the error I am getting.


I tried googling and having a look on the debian site.  When I tried the debian irc server, it was suggested I try here.  Here is some info, does anyone have any ideas: -



deb ftp://ftp.debian.nl/debian/ sarge main 

deb http://security.debian.org/ sarge/updates main


root@:/usr/lib# dpkg -l libc6 | tail -1

dpkg-query: failed in buffer_read(fd): copy info file `/var/lib/dpkg/available': Input/output error

root@:/usr/lib# dpkg -L libc6 | tail -1




root@:/usr/lib# apt-cache show libc6

Package: libc6

Priority: required

Section: base

Installed-Size: 14348

Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>

Architecture: sparc

Source: glibc

Version: 2.3.2.ds1-22

Replaces: ldso (<= 1.9.11-9), timezone, timezones, gconv-modules, libtricks, libc6-bin, netkit-rpc, netbase (<< 4.0), libc6-dev (<< 2.3.2.ds1-14)

Provides: glibc-2.3.2.ds1-22

Depends: libdb1-compat

Suggests: locales, glibc-doc

Conflicts: strace (<< 4.0-0), libnss-db (<= 2.2-6.1.1), timezone, timezones, gconv-modules, libtricks, libc6-doc, libc5 (<< 5.3.12-2), libpthread0 (<< 0.7-10), libc6-bin, libwcsmbs, netkit-rpc, wine (<< 0.0.20031118-1), cyrus-imapd (<< 1.5.19-15)

Filename: pool/main/g/glibc/libc6_2.3.2.ds1-22_sparc.deb

Size: 4153250

MD5sum: a30f59d36262320415ff5201ff689cfd

Description: GNU C Library: Shared libraries and Timezone data

 Contains the standard libraries that are used by nearly all programs on

 the system. This package includes shared versions of the standard C library

 and the standard math library, as well as many others.

 Timezone data is also included.


root@:/usr/lib# apt-cache show apt 

Package: apt

Priority: important

Section: base

Installed-Size: 3676

Maintainer: APT Development Team <deity@lists.debian.org>

Architecture: sparc


Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)

Provides: libapt-pkg-libc6.3-5-3.3

Depends: libc6 (>= 2.3.2.ds1-4), libgcc1 (>= 1:3.4.1-3), libstdc++5 (>= 1:3.3.4-1)

Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc

Filename: pool/main/a/apt/apt_0.5.28.6_sparc.deb

Size: 1186404

MD5sum: 034b079b973900f182a0906a4dc82aaa

Description: Advanced front-end for dpkg

 This is Debian's next generation front-end for the dpkg package manager.

 It provides the apt-get utility and APT dselect method that provides a

 simpler, safer way to install and upgrade packages.


 APT features complete installation ordering, multiple source capability

 and several other unique features, see the Users Guide in apt-doc.


root@:/usr/lib# apt-cache show apt-utils

Package: apt-utils

Priority: optional

Section: admin

Installed-Size: 476

Maintainer: APT Development Team <deity@lists.debian.org>

Architecture: sparc

Source: apt


Replaces: apt (<< 0.5.9)

Provides: libapt-inst-libc6.3-5-1.0

Depends: libapt-pkg-libc6.3-5-3.3, libc6 (>= 2.3.2.ds1-4), libdb4.2, libgcc1 (>= 1:3.4.1-3), libstdc++5 (>= 1:3.3.4-1)

Filename: pool/main/a/apt/apt-utils_0.5.28.6_sparc.deb

Size: 179168

MD5sum: bfed363781024caca3c64d1f6c4675f3

Description: APT utility programs

 This package contains some APT utility programs such as apt-ftparchive,

 apt-sortpkgs and apt-extracttemplates.


 apt-extracttemplates is used by debconf to prompt for configuration

 questions before installation. apt-ftparchive is used to create Package

 and other index files. apt-sortpkgs is a Package/Source file normalizer.


Reply to: